0 Favourites

Node-Webkit Jerkiness

  • I would like to request a way for us to go back to the Node-Webkit version that was before r188, becuase as of right now, its just unbearable, the fps stay at 60 but the movement of objects just lags and looks extremely jerky

    for more info look at this thread, where lots of user are expiriencing this as well:

    Before r188 it was still present, but very minor compared to now, right now its just horrible, and in no way presentable for any game made by any respectable developer, is not in serviceable and reliable state, so i request the option to use the previous version of NW since right now r188 does not want to use the previous version of NW i have instaled, but since i have the steam version i cant go back to r187.

    please update the next version of C2 to use the last version of NW and dont update the NW until its in a stable state.

    thanks.

  • I've experienced this as well, just as you described!

  • Construct 3

    Buy Construct 3

    Develop games in your browser. Powerful, performant & highly capable.

    Buy Now Construct 3 users don't see these ads
  • I know how you feel, the screen tearing is just horrible!

  • I think we can update the website to list older versions, but I don't want to roll back the version that ships with C2. The problem is that on Windows only Chrome 38 has a vsync bug. To roll back, all platforms (Windows, Mac and Linux) go backwards to Chrome 35, losing all the new features and performance improvements since then on all platforms, and we also lose Windows 64-bit support. I just think that's too big a backward step to take to work around a single bug. I think from looking at Canary the problem is already fixed (perhaps even already in v39), so I'm sure the next time node-webkit updates the Chromium version then this will be fixed as well. So I think it is better to wait for the next version than to roll back. And I'll work with Tom on getting older node-webkit downloads listed on the site so people can opt-in to rollbacks if they want.

  • Totally agree with Ashley. Oh and thanks for solving the Sine bug i reported for the next Beta, you are a boss

  • Ashley

    " I just think that's too big a backward step to take to work around a single bug. "

    well i understand that you should not go back since the fix is in the horizon, but saying this is just a single bug, i dont think is the best decision, this is not a "single bug" its a quite critical bug, this renders all games made for desktop, at least, unplayble.

    but i agree that since the fix is done, now all we neeed to do, is wait and see.

  • Ashley thanks! I very much hope the problem is fixed in v39...

  • this renders all games made for desktop, at least, unplayble.

    I don't believe it affects OS X or Linux. Can you confirm? It's Windows-only as far as I'm aware.

  • Ashley i cant corfirm it, i use only Windows

  • [quote:2uin8kro]"losing all the new features and performance improvements"

    I'm not sure v38 has noticeable performance improvements from a purely visible and gameplay perspective, there's a lot of visible lag when there's any moderately fast camera scrolling, it's supposed the 60fps yet it looks like 25fps and this is on a computer that runs The Witcher 2 on medium and Battlefield 3 on high so there shouldn't be any lagging, screen tearing or fps drops.

  • Im having the same problem. At the beginning I thought it was hardware related since I just bought a new machine. In the old machine the game was playing at 75FPS and now 60 but with a lot of jerkiness. When updating my video card drivers everything got fixed for a limited time. But now I still have the same problem.

  • Ashley

    A rollback isn't necessary, but please let us use the previous version of node with r190 stable, and post a link to an installer for it.

    Like you say, by the time the next stable rolls around, this will probably be a moot point. But right now, it's a big deal...and it's going to leave a lot of people stuck back on r184.

  • Unfortunately, the new node-webkit version doesn't solve the problem.. \:

    Is everyone with that jerkiness?

  • Same here. I know that we rely on the support of 3rd party wrappers for the majority of C2 exports, so it would be helpful if we could select which version of node we want to use for instances just like this - where the 3rd party has made a mistake with its latest product (newer =/= better).

  • sadly, no, im very worried with the words that ashley use, this is NOT a simple or unimportant issue, this makes my game unplayable on windows (wich makes up most of all my future users) my game is on halt for this, i cant continue to work, i need to keep my game backwards compatible with the nw and c2 versions that work fine.

    Colludium

    i agree, it reminds me of DICE with Battle Field 4, the games its very powerful and all those buzzwords they use, but the games runs like a rusty tank, stability > power i think we should stay stable and not update the NW until Chromium fixes this.

Jump to:
Active Users
There are 1 visitors browsing this topic (0 users and 1 guests)